
declare @uid as varchar(500)
declare @eid as varchar(500)
declare @reporte as  varchar(500)
declare @reportecodigo as varchar(500)
declare @guifuncionalidadpadre as int
declare @guifuncionalidad as int
declare @detallesequipo as varchar(500)
declare @reportecategoria as varchar(500)
declare @categoria as varchar(500)
declare @origendato as varchar(500)
declare @opcionreporte as varchar(500)
declare @idreporte as varchar(500)
set @eid =(select eid from seg_usuario where id=1)
set @uid =(select uid from seg_usuario where id=1)
set @reporte= 'Grafico de Variables'
set @reportecodigo ='equ/VariablesEquipo'
set @detallesequipo='rep_graficaEquipo'
set @reportecategoria='equ_equipo'
set @origendato ='rep_graficaEquipo'
set @opcionreporte='Grafico de Variables'

set @categoria=(SELECT id  FROM [rep_categoria]where  id=(SELECT id_categoria FROM [rep_reporte_categoria]where id_reporte=(select id from rep_reporte where reporte_codigo='equ/HojaVidaEquipo')))

set @guifuncionalidadpadre=(select min(id) from gui_funcionalidad 
where funcionalidad ='Equipos' and id_funcionalidad =(select min (id) from gui_funcionalidad 
where id_tipoFuncionalidad=7 and active=1 and funcionalidad ='Reportes' and id_funcionalidad=(
select min (id) from gui_funcionalidad 
where id_tipoFuncionalidad=7 and active=1 and funcionalidad ='Reportes'
) ))
--Agregar Funcionalidad
if not exists(select * from gui_funcionalidad 
where id_tipoFuncionalidad=7 and active=1 and funcionalidad='Grafico de Variables' and id_funcionalidad =@guifuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]
([uid],[eid],[id_usuario_modifico]
,[id_usuario_creo],[fechaModificacion]
,[fechaCreacion],[active],[funcionalidad]
,[funcionalidad_codigo],[urlImagen]
,[urlFormulario],[targetUrl],[url]
,[toolTip],[esMenu],[nombreControl]
,[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
     VALUES
(@uid,@eid,1,1,getdate()
,getdate(),1,'Grafico de Variables'
,'','','','','','',0,'','',5
,@guifuncionalidadpadre
,7)
end
set @guifuncionalidad=(select id from gui_funcionalidad where id_tipoFuncionalidad=7 and active=1 and funcionalidad='Grafico de Variables' and id_funcionalidad =@guifuncionalidadpadre)
--end

--------------------------
if not exists (select * from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )
begin
insert into rep_reporte (uid, eid, reporte, reporte_codigo,id_funcionalidad, esformato, tienegraficos) 
values (@uid,'01',@reporte,@reportecodigo,@guifuncionalidad,0,1)
end 
set @idreporte=(select id from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )

if not exists(select * from rep_reporte_categoria where  uid=@uid  and reporte_categoria=@reportecategoria and id_reporte=@idreporte and id_categoria=@categoria)
begin 
insert into rep_reporte_categoria (uid,eid,reporte_categoria,id_reporte,id_categoria) 
values (@uid,'01',@reportecategoria ,@idreporte,@categoria)
end

if not exists(select*from rep_origenDato where origenDato=@origendato)
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,'rep_graficaEquipo','',@idreporte)
end

if not exists(select*from rep_origenDato where origenDato='rep_detalleEquipo')
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,'rep_detalleEquipo','',@idreporte)
end

if not exists(select *from rep_opcionReporte where opcionreporte=@opcionreporte )
begin 
insert into rep_opcionReporte(uid,eid,opcionreporte,opcionreporte_codigo,id_reporte,defecto)
 values (@uid,'01',@opcionreporte,'GR',@idreporte,1)
end


if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='fecha_ff' and id_reporte=@idreporte and id_tipoCampoReporte=3 and tabla='equ_equipoAtributo' )
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','fecha_ff',@idreporte,3,'equ_equipoAtributo','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='seccionAtributo' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='cat_seccionAtributo')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','seccionAtributo',@idreporte,4,'cat_seccionAtributo','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='atributo' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='cat_atributo')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','atributo',@idreporte,4,'cat_atributo','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='equipo' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='equ_equipo')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','equipo',@idreporte,4,'equ_equipo','',1,0,'',1)
end
